foo.txt
input/
./foo.txt
.////foo.txt
./foo.txt;./bar.txt
input/./fixlist
input/fixlist/../foo.c
input/foo.c
this/input/../../input1
this/input/../../../input2
this/is/input/../../../input3
this/is/input/../../input4
this/is/input/../../input5/../foo1
this/is/input/../../input6/../foo1/../foo2/../foo3
this/is/input/../../input7/../foo1/../foo2/../foo3/../../foo4
this/is;../;
this/is/a/test;foo/../../foo5;
this/is/a/test;foo/bar/../foo6;
this/is/a/test;foo/bar/../foo6;foo/bar/toto/../../foo/../bar/../foo7
this/is/a/test;foo/bar/../foo6;foo/bar/toto//../../foo/../bar////../foo8
